Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document.internal
Class DocumentProcessors

    java.lang.Object
      com.bea.document.internal.DocumentProcessors

public class DocumentProcessors
extends Object

Utility class used by Document class that manages access to XPath processing among the threads accessing Document instances. This class manages a set of PerThreadDocumentProcessor objects, one per thread that is accessing a Document object. This class serves two purposes. The first is to relieve each Document object instance from having its own XPath processing objects (thus conserving space). The second is that XPath processors are not synchronized for mult-thread access, and this class ensures that any given XPath processor is only being accessed by one thread at a time.

Method Summary
`static long` | `getIdleTimeoutMillis()`
`static com.bea.document.internal.PerThreadDocumentProcessors` | `getPerThreadDocumentProcessors()` Get the PerThreadDocumentProcessors object for the current thread.
`static boolean` | `getVerbose()`
`static void` | `setIdleTimeoutMillis(long millis)`
`static void` | `setPerThreadEntityResolver(EntityResolver entityResolver)` Set the EntityResolver for the current thread.
`static void` | `setVerbose(boolean newValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIdleTimeoutMillis

    public static long getIdleTimeoutMillis()

### setIdleTimeoutMillis

    public static void setIdleTimeoutMillis(long millis)

### getVerbose

    public static boolean getVerbose()

### setVerbose

    public static void setVerbose(boolean newValue)

### getPerThreadDocumentProcessors

    public static com.bea.document.internal.PerThreadDocumentProcessors getPerThreadDocumentProcessors()

  Get the PerThreadDocumentProcessors object for the current thread. This object allows access to an XPath processor and associated objects needed by the XPath processor.

### setPerThreadEntityResolver

    public static void setPerThreadEntityResolver(EntityResolver entityResolver)

  Set the EntityResolver for the current thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD